using System;
					
public class Program
{
	public static void Main()
	{
		string []s=Console.ReadLine().Split();
    int n=int.Parse(s[0]);
    int k=int.Parse(s[1]);
    int []z=new int[n];
    s=Console.ReadLine().Split();
    for(int i=0; i<n; i++)
  {
    z[i]=int.Parse(s[i]);
  }
  if(k==z[n-1])
  {
    Console.WriteLine(z[0]);
  }
  else
  {
    for(int i=0;i<n-1;i++)
    {
      if(k==z[i])
      {
        Console.WriteLine(z[i+1]);
        break;
      }
    }
  }
	}
}